Skip to content

Update end users

Request

Bulk update end users.

Security
ApiKeyAuth(Required scopes: organization.member)
Bodyapplication/jsonrequired

List of end user update actions

dataArray of objects(BulkUpdateEndUserInput)
PUT
/v1/endusers
curl -i -X PUT \
  https://dev.dixa.io/v1/endusers \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": [
      {
        "id": "d4826125-559f-496f-ad71-a0340f0cae06",
        "displayName": "Alice Brown",
        "email": "alice@brown.com",
        "phoneNumber": "+551155256325",
        "additionalEmails": [
          "alice@secondary.email"
        ],
        "additionalPhoneNumbers": [
          "+5566778899"
        ],
        "firstName": "Alice",
        "lastName": "Brown",
        "middleNames": [
          "J."
        ],
        "avatarUrl": "http://avatar.url",
        "externalId": "#12345678"
      }
    ]
  }'

Responses

The updated end users

Bodyapplication/json
dataArray of any(BulkActionOutcome_BulkError_EndUser)
Response
{ "data": [ { … }, { … } ] }